﻿using System.Collections.Concurrent;

namespace FNZCM.ConHost.Ver2
{
    internal class Library2
    {
        public Library2(string name) => Name = name;

        public string Name { get; }

        public ConcurrentDictionary<string, Album2> Albums { get; } = new();
    }

    internal class Album2
    {
        public string Name { get; }

        public Album2(string name) => Name = name;

        public ConcurrentDictionary<string, string> Bks { get; } = new();

        public ConcurrentDictionary<string, string> MainTracks { get; } = new();
        public ConcurrentDictionary<string, TrackSet> SubTracks { get; } = new();
    }

    internal class TrackSet
    {
        public string Name { get; }

        public TrackSet(string name) => Name = name;

        public ConcurrentDictionary<string, string> Tracks { get; } = new();

    }

    internal class MediaTag2
    {
        public MediaTag2(string title, int duration, long length)
        {
            Title = title;
            Duration = duration;
            Length = length;
        }

        public string Title { get; }
        public int Duration { get; }
        public long Length { get; }
    }
}
